from ocyan.core.plugins import OcyanPluginConfig


class WagtailContentPageConfig(OcyanPluginConfig):
    def contribute_to_installed_apps(self, installed_apps):
        installed_apps.ocyan.append("ocyan.plugin.wagtail_content_page")
        installed_apps.wagtail.append("wagtail.contrib.table_block")
        return installed_apps

    def contribute_to_fixtures(self, fixtures):
        fixtures.add("wagtailcontentpages", "wagtail_content_page/pages")
        return fixtures
